<Project Sdk="Microsoft.NET.Sdk">

  <Import Project="..\..\common.props" />

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <RootNamespace>JiShe.CollectBus</RootNamespace>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Mappers\**" />
    <EmbeddedResource Remove="Mappers\**" />
    <None Remove="Mappers\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="FodyWeavers.xml" />
    <None Remove="JiShe.CollectBus.Application.abppkg" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Volo.Abp.AspNetCore.Mvc" />
    <PackageReference Include="Volo.Abp.AutoMapper" />
    <PackageReference Include="Volo.Abp.Ddd.Application" />
		<PackageReference Include="TouchSocket" />
    <PackageReference Include="TouchSocket.Hosting" />
		<PackageReference Include="Volo.Abp.Autofac" />
		<PackageReference Include="Volo.Abp.Ddd.Domain.Shared" />

		<PackageReference Include="JiShe.ServicePro.IoTDBManagement.Application" />
 
		<ProjectReference Include="..\..\protocols\JiShe.CollectBus.Protocol\JiShe.CollectBus.Protocol.csproj" />
  
		<ProjectReference Include="..\JiShe.CollectBus.Application.Contracts\JiShe.CollectBus.Application.Contracts.csproj" />
  </ItemGroup>

</Project>
